[Python-apps-commits] r5318 - in packages/sabnzbdplus/trunk/debian (sabnzbdplus.init)

jcfp-guest at users.alioth.debian.org jcfp-guest at users.alioth.debian.org
Tue Jun 1 09:25:46 UTC 2010


    Date: Tuesday, June 1, 2010 @ 09:25:41
  Author: jcfp-guest
Revision: 5318

Prevent non-zero exit for unconfigured init script

Modified:
  packages/sabnzbdplus/trunk/debian/sabnzbdplus.init

Modified: packages/sabnzbdplus/trunk/debian/sabnzbdplus.init
===================================================================
--- packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2010-05-31 21:41:18 UTC (rev 5317)
+++ packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2010-06-01 09:25:41 UTC (rev 5318)
@@ -57,7 +57,7 @@
 
 	[ -z "$USER" ] && {
 		log_warning_msg "$DESC: not configured, aborting. See $SETTINGS";
-		return 6; }
+		return 1; }
 
 	OPTIONS="$DEFOPTS"
 	[ -n "$CONFIG" ] && OPTIONS="$OPTIONS --config-file $CONFIG"
@@ -70,7 +70,7 @@
 
 case "$1" in
 	start)
-		load_settings || exit $?
+		load_settings || exit 0
 		if ! is_running; then
 			log_daemon_msg "Starting $DESC"
 			start-stop-daemon --quiet --chuid $USER --start --exec $DAEMON -- $OPTIONS
@@ -83,7 +83,7 @@
 		fi
 	;;
 	stop)
-		load_settings || exit $?
+		load_settings || exit 0
 		if is_running; then
 			TMPFILE=$(mktemp /tmp/sabnzbdplus.XXXXXXXXXX || exit 1)
 			trap '[ -f $TMPFILE ] && rm -f $TMPFILE' EXIT




More information about the Python-apps-commits mailing list